Commit 27c1bcd4 authored by Nicola Spanti's avatar Nicola Spanti
Browse files

[deps] Upgrade minimum versions that have a chance to be used

- CubicWeb 3.26.19 is the last Python 2 compatible version.
- Version 1.12 of `six` is the one of Debian 10 "Buster".
- Python 2 is dead, but the lastest version (2.7) is still used.
parent 2cc79ccde530
......@@ -12,11 +12,11 @@ license = 'LGPL'
author = 'LOGILAB S.A. (Paris, FRANCE)'
author_email = 'contact@logilab.fr'
description = 'JSON Schema for CubicWeb'
web = 'http://www.cubicweb.org/project/%s' % distname
web = 'https://www.cubicweb.org/project/%s' % distname
__depends__ = {
'cubicweb[pyramid]': '>= 3.24.1',
'six': '>= 1.4.0',
'cubicweb[pyramid]': '>= 3.26.19',
'six': '>= 1.12.0',
'iso8601': None,
'pyramid': '>= 1.10.0',
}
......@@ -26,5 +26,6 @@ classifiers = [
'Environment :: Web Environment',
'Framework :: CubicWeb',
'Programming Language :: Python',
'Programming Language :: Python :: 3',
'Programming Language :: JavaScript',
]
......@@ -5,7 +5,7 @@ Maintainer: LOGILAB S.A. (Paris, FRANCE) <contact@logilab.fr>
Build-Depends: debhelper (>= 9),
dh-python,
python-all,
python-cubicweb,
python-cubicweb (>= 3.26.19),
python-iso8601,
python-jsondiff,
python-jsonschema,
......@@ -13,12 +13,12 @@ Build-Depends: debhelper (>= 9),
python-pyramid (>= 1.8.0),
python-pyramid-multiauth,
python-setuptools,
python-six (>= 1.4.0),
python-six (>= 1.12.0),
python-uritemplate,
python-webtest,
python-wsgicors,
python3-all,
python3-cubicweb,
python3-cubicweb (>= 3.26.19),
python3-iso8601,
python3-jsondiff,
python3-jsonschema,
......@@ -26,7 +26,7 @@ Build-Depends: debhelper (>= 9),
python3-pyramid,
python3-pyramid-multiauth,
python3-setuptools,
python3-six,
python3-six (>= 1.12.0),
python3-uritemplate,
python3-webtest,
python3-wsgicors,
......
......@@ -2,7 +2,7 @@
# pylint: disable=W0142,W0403,W0404,W0613,W0622,W0622,W0704,R0904,C0103,E0611
#
# copyright 2003-2021 LOGILAB S.A. (Paris, FRANCE), all rights reserved.
# contact http://www.logilab.fr/ -- mailto:contact@logilab.fr
# contact https://www.logilab.fr/ -- mailto:contact@logilab.fr
#
# This file is part of a cubicweb-jsonschema.
#
......@@ -17,7 +17,7 @@
# details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with CubicWeb. If not, see <http://www.gnu.org/licenses/>.
# along with CubicWeb. If not, see <https://www.gnu.org/licenses/>.
"""cubicweb_jsonschema setup module using data from
cubicweb_jsonschema/__pkginfo__.py file
"""
......@@ -79,4 +79,5 @@ setup(
],
},
zip_safe=False,
python_requires='>=2.7',
)
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment